﻿CREATE TABLE [dbo].[Report.JobSeeker]
(
    [Id]                       BIGINT           NOT NULL,
    [FocusPersonId]            BIGINT           NOT NULL,
    [FirstName]                NVARCHAR (100)   NOT NULL,
    [LastName]                 NVARCHAR (100)   NOT NULL,
    [CountyId]                 BIGINT           NULL,
    [County]                   NVARCHAR (400)   NULL,
    [StateId]                  BIGINT           NULL,
    [State]                    NVARCHAR (400)   NULL,
    [PostalCode]               NVARCHAR (40)    NULL,
    [Office]                   NVARCHAR (400)   NULL,
    [AccountCreationDate]      DATETIME         NOT NULL,
    [Salary]                   DECIMAL (24, 18) NULL,
    [SalaryFrequency]          INT              NULL,
    [EmploymentStatus]         INT              NULL,
    [VeteranType]              INT              NULL,
    [VeteranDisability]        INT              NULL,
    [VeteranTransitionType]    INT              NULL,
    [VeteranMilitaryDischarge] INT              NULL,
    [VeteranBranchOfService]   INT              NULL,
    [CampaignVeteran]          BIT              NULL,
    [DateOfBirth]              DATETIME		      NULL,
    [Gender]                   INT              NULL,
    [EmailAddress]             NVARCHAR (500)   NULL,
    [DisabilityStatus]         INT              NULL,
    [DisabilityType]           INT              NULL,
    [EthnicHeritage]           INT              NULL,
    [Race]                     INT              NULL,
    [ResumeSearchable]         BIT              NULL,
    [ResumeCount]              INT              NOT NULL,
    [WillingToWorkOvertime]    BIT              NULL,
    [WillingToRelocate]        BIT              NULL,
    [MinimumEducationLevel]    INT              NULL,
    [LatitudeRadians]          FLOAT            NOT NULL,
    [LongitudeRadians]         FLOAT            NOT NULL,
    [CreatedOn]                DATETIME         NOT NULL,
    [UpdatedOn]                DATETIME         NOT NULL,
    [HasPendingResume]         BIT              NOT NULL,
    [EnrollmentStatus]         INT              NULL,
    [MilitaryStartDate]        DATETIME         NULL,
    [MilitaryEndDate]          DATETIME         NULL,
    [IsHomelessVeteran]        BIT              NULL,
    [SocialSecurityNumber]     NVARCHAR (MAX)   NULL,
    [MiddleInitial]            NVARCHAR (MAX)   NULL,
    [AddressLine1]             NVARCHAR (MAX)   NULL,
    [IsCitizen]                BIT              NULL,
    [AlienCardExpires]         DATETIME         NULL,
    [AlienCardId]              NVARCHAR (MAX)   NULL,
    [VeteranAttendedTapCourse] BIT              NULL,
    [Age]                      SMALLINT         NULL,
    [NCRCLevel]                NVARCHAR (50)    NULL,
    [Unsubscribed]             BIT              NOT NULL,
    [Suffix]                   NVARCHAR (25)    NULL,
		[HasAttendedTAP]           BIT              NOT NULL,
		[AttendedTAPDate]          DATETIME         NULL,
	  [AccountType]              INT              NULL
);

